Bug 2096963 (CVE-2022-30184) - CVE-2022-30184 dotnet: NuGet Credential leak due to loss of control of third party symbol server domain
Summary: CVE-2022-30184 dotnet: NuGet Credential leak due to loss of control of third ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-30184
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2096972 2096974 2096976 2096969 2096970 2096971 2096973 2096975
Blocks: 2094063
TreeView+ depends on / blocked
 
Reported: 2022-06-14 16:07 UTC by Stefan Cornelius
Modified: 2022-06-16 01:55 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-16 01:55:55 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:5046 0 None None None 2022-06-15 08:29:28 UTC
Red Hat Product Errata RHSA-2022:5047 0 None None None 2022-06-15 08:09:43 UTC
Red Hat Product Errata RHSA-2022:5050 0 None None None 2022-06-15 22:12:07 UTC
Red Hat Product Errata RHSA-2022:5061 0 None None None 2022-06-15 15:49:26 UTC
Red Hat Product Errata RHSA-2022:5062 0 None None None 2022-06-15 15:37:05 UTC

Description Stefan Cornelius 2022-06-14 16:07:44 UTC
It was discovered that nuget could leak credentials due to loss of control of third party symbol server domain.

Comment 2 errata-xmlrpc 2022-06-15 08:09:40 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2022:5047 https://access.redhat.com/errata/RHSA-2022:5047

Comment 3 errata-xmlrpc 2022-06-15 08:29:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:5046 https://access.redhat.com/errata/RHSA-2022:5046

Comment 4 errata-xmlrpc 2022-06-15 15:37:03 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2022:5062 https://access.redhat.com/errata/RHSA-2022:5062

Comment 5 errata-xmlrpc 2022-06-15 15:49:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:5061 https://access.redhat.com/errata/RHSA-2022:5061

Comment 6 errata-xmlrpc 2022-06-15 22:12:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:5050 https://access.redhat.com/errata/RHSA-2022:5050

Comment 7 Product Security DevOps Team 2022-06-16 01:55:52 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-30184


Note You need to log in before you can comment on or make changes to this bug.